> For the complete documentation index, see [llms.txt](https://docs.xswap.link/xswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xswap.link/xswap/xpay/quick-start.md).

# Quick Start

XPay is framework-agnostic so you can use it in any javascript environment.

### Install library

Installation via node package manager npm:&#x20;

```bash
npm i @xswap-link/sdk
```

### Basic Setup

To set up XPay in your project, follow these steps:

```typescript
import { openTransactionModal } from "@xswap-link/sdk";
```

Open XPay modal with example configuration

```typescript
await openTransactionModal({
  integratorId: "xxxxx", // XSwap Integrator ID
  dstChain: "8453", // Base
  dstToken: "0x8fe815417913a93ea99049fc0718ee1647a2a07c", // XSWAP Token
});
```

Execute transactions and enjoy the power of interoperability!&#x20;

**NOTE** if you need integratorId then [**Apply Here**](https://forms.gle/Y6kh19Bghtayt6FZ7)

For a more detailed example please check the example project on [**Github** ](https://github.com/xswap-link/Cross-Chain-Token-Purchase)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xswap.link/xswap/xpay/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
